<?xml version="1.0" encoding="utf-8" ?>
<COLUMN spacing="10">
    <INCLUDE_ONCE file="radio_button/radio_button.inc"/>
    <INCLUDE_ONCE file="invisible_button/invisible_toggle.inc"/>
    <INCLUDE_ONCE file="toggle_button/toggle_button.inc"/>
   	<INCLUDE_ONCE file="utils/tpl.exclusive_link.inc" />
   	<INCLUDE_ONCE file="utils/tpl.param_text_toggle.inc" />

    <!-- exclusive link for each row -->
    <TEMPLATE id="TPL_CURVE_XLINK">
        <TPL_EXCLUSIVE_LINK param_ids="no_link$index$;model.link$index$_1_enabled;model.link$index$_2_enabled;model.link$index$_3_enabled;model.link$index$_4_enabled;model.link$index$_5_enabled;model.link$index$_6_enabled;model.link$index$_7_enabled;model.link$index$_8_enabled;model.link$index$_9_enabled;model.link$index$_10_enabled;model.link$index$_11_enabled;model.link$index$_12_enabled;model.link$index$_13_enabled;model.link$index$_14_enabled;model.link$index$_15_enabled;model.link$index$_16_enabled"/>
    </TEMPLATE>
    
    <TPL_CURVE_XLINK index="0"/>
    <TPL_CURVE_XLINK index="1"/>
    
    <!-- link curve in use to the radio button enabled -->
    <TEMPLATE id="TPL_CONNECT_ENABLE_BUTTON">
        <PARAM_LINK from="shared.curve$index$_in_use" to="radio_button$curve$_$index$.enabled" reverse="true"/>
    </TEMPLATE>
    <TEMPLATE id="TPL_CONNECT_ENABLE">
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="1"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="2"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="3"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="4"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="5"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="6"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="7"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="8"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="9"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="10"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="11"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="12"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="13"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="14"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="15"/>
        <TPL_CONNECT_ENABLE_BUTTON curve="$index$" index="16"/>                
    </TEMPLATE>
    <TPL_CONNECT_ENABLE index="0"/>
    <TPL_CONNECT_ENABLE index="1"/>
    
    <TEMPLATE id="TPL_CONNECT_BUTTON" >
        <CUS_RADIO_BUTTON param_id="model.link$curve$_$index$_enabled" id="radio_button$curve$_$index$">
            <TEXT text_color="$color$index$$" value="$index$" />
        </CUS_RADIO_BUTTON>
	</TEMPLATE>	
    <TEMPLATE id="TPL_CURVE_ROW">
        <PARAM id="no_link$index$" type="boolean" default="1" persistent="true"/>
        <TABLE_ROW>
            <CELL h_align="left" h_margin="4"><TEXT value="$title$"/></CELL>
             <CUS_RADIO_BUTTON param_id="no_link$index$">
                <TOOLTIP text="Disconnect" />
                <TEXT value="X" text_color="#dddddd"/>
            </CUS_RADIO_BUTTON>
            <TPL_CONNECT_BUTTON curve="$index$" index="1"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="2"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="3"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="4"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="5"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="6"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="7"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="8"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="9"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="10"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="11"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="12"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="13"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="14"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="15"/>        
            <TPL_CONNECT_BUTTON curve="$index$" index="16"/>
            <TEXT_EDIT_BOX string_id="model.curve_name$index$" show_edges="false" width="68" height="16" change_on_type="true" background_color="#14171f" background_edit_color="#000000" text_color="#aaaaaa" />       
        </TABLE_ROW>
	</TEMPLATE>	
	<PARAM default="1" type="boolean" id="value_one"/>
	<PARAM_MULTI_LINK from="value_one" to="no_link0;no_link1" enabled="false" id="reset_routing_link"/>			
				
	<TPL_TITLE text="Routing" width="100%"/>
	<COLUMN>	
        <TEXT value="Assign a number and a name to each curve you want to display and share with other instances:"/>
        <PARAM_TEXT param_id="shared.instances_count" width="200" content="(there are currently {value} {unit})" value_format=".0"/>
	</COLUMN>
	<TABLE h_spacing="4" v_spacing="2" >
        <TPL_CURVE_ROW title="Channel 1" index="0"/>
        <TPL_CURVE_ROW title="Channel 2" index="1"/> 
	</TABLE>
	<CELL text_decoration="underline">
		<TPL_PARAM_TEXT_TOGGLE param_id="reset_routing_link.enabled" content="Reset Links for this instance"/>
	</CELL>
</COLUMN>