<?xml version="1.0" encoding="utf-8" ?>
<!-- XY view-->
<DUMMY>
    <INCLUDE_ONCE file="utils/utils.inc"/>

    <!-- constants -->
    <CUS_CONST_PARAM id="value_0" value="0"/>
    <CUS_CONST_PARAM id="value_1" value="1"/>
    <CUS_CONST_PARAM id="value_2" value="2"/>
    <CUS_CONST_PARAM id="value_3" value="3"/>
    <CUS_CONST_PARAM id="value_4" value="4"/>
    <CUS_CONST_PARAM id="value_5" value="5"/>
    <CUS_CONST_PARAM id="value_6" value="6"/>
    <CUS_CONST_PARAM id="value_7" value="7"/>
    <CUS_CONST_PARAM id="value_8" value="8"/>
    <CUS_CONST_PARAM id="value_9" value="9"/>
    <CUS_CONST_PARAM id="value_10" value="10"/>
    <CUS_CONST_PARAM id="value_11" value="11"/>
    <CUS_CONST_PARAM id="value_12" value="12"/>
    <CUS_CONST_PARAM id="value_13" value="13"/>
    <CUS_CONST_PARAM id="value_14" value="14"/>
    <CUS_CONST_PARAM id="value_15" value="15"/>
    <CUS_CONST_PARAM id="value_16" value="16"/>

    <!-- Curve Links Model -->
    <DEFINE>
        <CUS_XY_CURVE base_type="CURVE" x_min="-1" x_max="0" x_default="0" y_min="-1" y_max="1" y_default="0" />
    </DEFINE>

    <TEMPLATE id="TPL_XY_CURVE_MODEL">
        <CUS_XY_CURVE id="x_curve$index$" />
        <CUS_XY_CURVE id="y_curve$index$" />
        <PARAM id="x_curve_visible$index$" type="boolean" persistent="true" default="1"/>
        <PARAM id="y_curve_visible$index$" type="boolean" persistent="true" default="1"/>

        <!-- link the shared model curve to the curves shown here (activation of the link will depend on the selection-->
        <CURVE_LINK from="shared.curve1" to="x_curve$index$" enabled="false" id="x1_link$index$"/>
        <CURVE_LINK from="shared.curve2" to="x_curve$index$" enabled="false" id="x2_link$index$"/>
        <CURVE_LINK from="shared.curve3" to="x_curve$index$" enabled="false" id="x3_link$index$"/>
        <CURVE_LINK from="shared.curve4" to="x_curve$index$" enabled="false" id="x4_link$index$"/>
        <CURVE_LINK from="shared.curve5" to="x_curve$index$" enabled="false" id="x5_link$index$"/>
        <CURVE_LINK from="shared.curve6" to="x_curve$index$" enabled="false" id="x6_link$index$"/>
        <CURVE_LINK from="shared.curve7" to="x_curve$index$" enabled="false" id="x7_link$index$"/>
        <CURVE_LINK from="shared.curve8" to="x_curve$index$" enabled="false" id="x8_link$index$"/>
        <CURVE_LINK from="shared.curve9" to="x_curve$index$" enabled="false" id="x9_link$index$"/>
        <CURVE_LINK from="shared.curve10" to="x_curve$index$" enabled="false" id="x10_link$index$"/>
        <CURVE_LINK from="shared.curve11" to="x_curve$index$" enabled="false" id="x11_link$index$"/>
        <CURVE_LINK from="shared.curve12" to="x_curve$index$" enabled="false" id="x12_link$index$"/>
        <CURVE_LINK from="shared.curve13" to="x_curve$index$" enabled="false" id="x13_link$index$"/>
        <CURVE_LINK from="shared.curve14" to="x_curve$index$" enabled="false" id="x14_link$index$"/>
        <CURVE_LINK from="shared.curve15" to="x_curve$index$" enabled="false" id="x15_link$index$"/>
        <CURVE_LINK from="shared.curve16" to="x_curve$index$" enabled="false" id="x16_link$index$"/>

        <PERSISTENT_OBJECTS object_ids="x1_link$index$.enabled;x2_link$index$.enabled;x3_link$index$.enabled;x4_link$index$.enabled;x5_link$index$.enabled;x6_link$index$.enabled;x7_link$index$.enabled;x8_link$index$.enabled;x9_link$index$.enabled;x10_link$index$.enabled;x11_link$index$.enabled;x12_link$index$.enabled;x13_link$index$.enabled;x14_link$index$.enabled;x15_link$index$.enabled;x16_link$index$.enabled"/>

        <!-- link curve usage (connected or not) to its visibility (let's not show an xy graph when one of the curves is not connected)-->
        <PARAM_LINK from="shared.curve1_in_use" to="x_curve_visible$index$" enabled="false" id="x1_visible_link$index$"/>
        <PARAM_LINK from="shared.curve2_in_use" to="x_curve_visible$index$" enabled="false" id="x2_visible_link$index$"/>
        <PARAM_LINK from="shared.curve3_in_use" to="x_curve_visible$index$" enabled="false" id="x3_visible_link$index$"/>
        <PARAM_LINK from="shared.curve4_in_use" to="x_curve_visible$index$" enabled="false" id="x4_visible_link$index$"/>
        <PARAM_LINK from="shared.curve5_in_use" to="x_curve_visible$index$" enabled="false" id="x5_visible_link$index$"/>
        <PARAM_LINK from="shared.curve6_in_use" to="x_curve_visible$index$" enabled="false" id="x6_visible_link$index$"/>
        <PARAM_LINK from="shared.curve7_in_use" to="x_curve_visible$index$" enabled="false" id="x7_visible_link$index$"/>
        <PARAM_LINK from="shared.curve8_in_use" to="x_curve_visible$index$" enabled="false" id="x8_visible_link$index$"/>
        <PARAM_LINK from="shared.curve9_in_use" to="x_curve_visible$index$" enabled="false" id="x9_visible_link$index$"/>
        <PARAM_LINK from="shared.curve10_in_use" to="x_curve_visible$index$" enabled="false" id="x10_visible_link$index$"/>
        <PARAM_LINK from="shared.curve11_in_use" to="x_curve_visible$index$" enabled="false" id="x11_visible_link$index$"/>
        <PARAM_LINK from="shared.curve12_in_use" to="x_curve_visible$index$" enabled="false" id="x12_visible_link$index$"/>
        <PARAM_LINK from="shared.curve13_in_use" to="x_curve_visible$index$" enabled="false" id="x13_visible_link$index$"/>
        <PARAM_LINK from="shared.curve14_in_use" to="x_curve_visible$index$" enabled="false" id="x14_visible_link$index$"/>
        <PARAM_LINK from="shared.curve15_in_use" to="x_curve_visible$index$" enabled="false" id="x15_visible_link$index$"/>
        <PARAM_LINK from="shared.curve16_in_use" to="x_curve_visible$index$" enabled="false" id="x16_visible_link$index$"/>

        <PERSISTENT_OBJECTS object_ids="x1_visible_link$index$.enabled;x2_visible_link$index$.enabled;x3_visible_link$index$.enabled;x4_visible_link$index$.enabled;x5_visible_link$index$.enabled;x6_visible_link$index$.enabled;x7_visible_link$index$.enabled;x8_visible_link$index$.enabled;x9_visible_link$index$.enabled;x10_visible_link$index$.enabled;x11_visible_link$index$.enabled;x12_visible_link$index$.enabled;x13_visible_link$index$.enabled;x14_visible_link$index$.enabled;x15_visible_link$index$.enabled;x16_visible_link$index$.enabled"/>

        <CURVE_LINK from="shared.curve1" to="y_curve$index$" enabled="false" id="y1_link$index$"/>
        <CURVE_LINK from="shared.curve2" to="y_curve$index$" enabled="false" id="y2_link$index$"/>
        <CURVE_LINK from="shared.curve3" to="y_curve$index$" enabled="false" id="y3_link$index$"/>
        <CURVE_LINK from="shared.curve4" to="y_curve$index$" enabled="false" id="y4_link$index$"/>
        <CURVE_LINK from="shared.curve5" to="y_curve$index$" enabled="false" id="y5_link$index$"/>
        <CURVE_LINK from="shared.curve6" to="y_curve$index$" enabled="false" id="y6_link$index$"/>
        <CURVE_LINK from="shared.curve7" to="y_curve$index$" enabled="false" id="y7_link$index$"/>
        <CURVE_LINK from="shared.curve8" to="y_curve$index$" enabled="false" id="y8_link$index$"/>
        <CURVE_LINK from="shared.curve9" to="y_curve$index$" enabled="false" id="y9_link$index$"/>
        <CURVE_LINK from="shared.curve10" to="y_curve$index$" enabled="false" id="y10_link$index$"/>
        <CURVE_LINK from="shared.curve11" to="y_curve$index$" enabled="false" id="y11_link$index$"/>
        <CURVE_LINK from="shared.curve12" to="y_curve$index$" enabled="false" id="y12_link$index$"/>
        <CURVE_LINK from="shared.curve13" to="y_curve$index$" enabled="false" id="y13_link$index$"/>
        <CURVE_LINK from="shared.curve14" to="y_curve$index$" enabled="false" id="y14_link$index$"/>
        <CURVE_LINK from="shared.curve15" to="y_curve$index$" enabled="false" id="y15_link$index$"/>
        <CURVE_LINK from="shared.curve16" to="y_curve$index$" enabled="false" id="y16_link$index$"/>

        <PERSISTENT_OBJECTS object_ids="y1_link$index$.enabled;y2_link$index$.enabled;y3_link$index$.enabled;y4_link$index$.enabled;y5_link$index$.enabled;y6_link$index$.enabled;y7_link$index$.enabled;y8_link$index$.enabled;y9_link$index$.enabled;y10_link$index$.enabled;y11_link$index$.enabled;y12_link$index$.enabled;y13_link$index$.enabled;y14_link$index$.enabled;y15_link$index$.enabled;y16_link$index$.enabled"/>

        <!-- link curve usage (connected or not) to its visibility (let's not show an yy graph when one of the curves is not connected)-->
        <PARAM_LINK from="shared.curve1_in_use" to="y_curve_visible$index$" enabled="false" id="y1_visible_link$index$"/>
        <PARAM_LINK from="shared.curve2_in_use" to="y_curve_visible$index$" enabled="false" id="y2_visible_link$index$"/>
        <PARAM_LINK from="shared.curve3_in_use" to="y_curve_visible$index$" enabled="false" id="y3_visible_link$index$"/>
        <PARAM_LINK from="shared.curve4_in_use" to="y_curve_visible$index$" enabled="false" id="y4_visible_link$index$"/>
        <PARAM_LINK from="shared.curve5_in_use" to="y_curve_visible$index$" enabled="false" id="y5_visible_link$index$"/>
        <PARAM_LINK from="shared.curve6_in_use" to="y_curve_visible$index$" enabled="false" id="y6_visible_link$index$"/>
        <PARAM_LINK from="shared.curve7_in_use" to="y_curve_visible$index$" enabled="false" id="y7_visible_link$index$"/>
        <PARAM_LINK from="shared.curve8_in_use" to="y_curve_visible$index$" enabled="false" id="y8_visible_link$index$"/>
        <PARAM_LINK from="shared.curve9_in_use" to="y_curve_visible$index$" enabled="false" id="y9_visible_link$index$"/>
        <PARAM_LINK from="shared.curve10_in_use" to="y_curve_visible$index$" enabled="false" id="y10_visible_link$index$"/>
        <PARAM_LINK from="shared.curve11_in_use" to="y_curve_visible$index$" enabled="false" id="y11_visible_link$index$"/>
        <PARAM_LINK from="shared.curve12_in_use" to="y_curve_visible$index$" enabled="false" id="y12_visible_link$index$"/>
        <PARAM_LINK from="shared.curve13_in_use" to="y_curve_visible$index$" enabled="false" id="y13_visible_link$index$"/>
        <PARAM_LINK from="shared.curve14_in_use" to="y_curve_visible$index$" enabled="false" id="y14_visible_link$index$"/>
        <PARAM_LINK from="shared.curve15_in_use" to="y_curve_visible$index$" enabled="false" id="y15_visible_link$index$"/>
        <PARAM_LINK from="shared.curve16_in_use" to="y_curve_visible$index$" enabled="false" id="y16_visible_link$index$"/>

        <PERSISTENT_OBJECTS object_ids="y1_visible_link$index$.enabled;y2_visible_link$index$.enabled;y3_visible_link$index$.enabled;y4_visible_link$index$.enabled;y5_visible_link$index$.enabled;y6_visible_link$index$.enabled;y7_visible_link$index$.enabled;y8_visible_link$index$.enabled;y9_visible_link$index$.enabled;y10_visible_link$index$.enabled;y11_visible_link$index$.enabled;y12_visible_link$index$.enabled;y13_visible_link$index$.enabled;y14_visible_link$index$.enabled;y15_visible_link$index$.enabled;y16_visible_link$index$.enabled"/>

        <!-- param that handle sthe selection -->
        <PARAM id="x_curve_selection$index$" type="enumeration" enum_values="1;2;3;4;5;6;7;8;9;10;11;12;13;14;15;16" persistent="true" default="1"/>
        <PARAM id="y_curve_selection$index$" type="enumeration" enum_values="1;2;3;4;5;6;7;8;9;10;11;12;13;14;15;16" persistent="true" default="0"/>
        <STRING_MULTI_LINK from="shared.curve1_name;shared.curve2_name;shared.curve3_name;shared.curve4_name;shared.curve5_name;shared.curve6_name;shared.curve7_name;shared.curve8_name;shared.curve9_name;shared.curve10_name;shared.curve11_name;shared.curve12_name;shared.curve13_name;shared.curve14_name;shared.curve15_name;shared.curve16_name" to="x_curve_selection$index$.enum_values" separator=";"/>
        <STRING_MULTI_LINK from="shared.curve1_name;shared.curve2_name;shared.curve3_name;shared.curve4_name;shared.curve5_name;shared.curve6_name;shared.curve7_name;shared.curve8_name;shared.curve9_name;shared.curve10_name;shared.curve11_name;shared.curve12_name;shared.curve13_name;shared.curve14_name;shared.curve15_name;shared.curve16_name" to="y_curve_selection$index$.enum_values" separator=";"/>

        <!-- link selection to enable the right links -->
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_0" to="x1_link$index$.enabled;x1_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_1" to="x2_link$index$.enabled;x2_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_2" to="x3_link$index$.enabled;x3_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_3" to="x4_link$index$.enabled;x4_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_4" to="x5_link$index$.enabled;x5_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_5" to="x6_link$index$.enabled;x6_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_6" to="x7_link$index$.enabled;x7_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_7" to="x8_link$index$.enabled;x8_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_8" to="x9_link$index$.enabled;x9_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_9" to="x10_link$index$.enabled;x10_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_10" to="x11_link$index$.enabled;x11_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_11" to="x12_link$index$.enabled;x12_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_12" to="x13_link$index$.enabled;x13_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_13" to="x14_link$index$.enabled;x14_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_14" to="x15_link$index$.enabled;x15_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="x_curve_selection$index$;value_15" to="x16_link$index$.enabled;x16_visible_link$index$.enabled"/>

        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_0" to="y1_link$index$.enabled;y1_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_1" to="y2_link$index$.enabled;y2_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_2" to="y3_link$index$.enabled;y3_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_3" to="y4_link$index$.enabled;y4_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_4" to="y5_link$index$.enabled;y5_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_5" to="y6_link$index$.enabled;y6_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_6" to="y7_link$index$.enabled;y7_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_7" to="y8_link$index$.enabled;y8_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_8" to="y9_link$index$.enabled;y9_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_9" to="y10_link$index$.enabled;y10_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_10" to="y11_link$index$.enabled;y11_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_11" to="y12_link$index$.enabled;y12_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_12" to="y13_link$index$.enabled;y13_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_13" to="y14_link$index$.enabled;y14_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_14" to="y15_link$index$.enabled;y15_visible_link$index$.enabled"/>
        <PARAM_MULTI_LINK mux_function="=" from="y_curve_selection$index$;value_15" to="y16_link$index$.enabled;y16_visible_link$index$.enabled"/>
    </TEMPLATE>

    <!-- Instanciate the model twice for our two curves-->
    <TPL_XY_CURVE_MODEL index=""/>
    <TPL_XY_CURVE_MODEL index="2"/>

    <!-- The actual view-->
    <DEFINE>
        <CUS_XY_CURVES_GRAPH base_type="XY_CURVES_GRAPH" height="$screen_height$" width="$screen_height$" anti_alias="true" positions_count="1500" x_curve.x_offset="1" y_curve.x_offset="1" x_curve.x_max_zoom="100" y_curve.x_max_zoom="100"/>
    </DEFINE>
    <ROW spacing="30">
        <TABLE>
            <TABLE_ROW>
                <CELL/>
                <CELL/>
                <TEXT value="Y"/>
            </TABLE_ROW>
            <TABLE_ROW>
                <!-- Add a cell, just to be centered -->
                <CELL width="160"/>
                <RULER text_v_align="center" font_size="11" h_align="right" v_margin="7" height="100%" width="18" value_format=".1" content="{value} {unit}" positions_count="11" orientation="vertical" param_info_id="y_curve.y_info" id="xy_y_scale"/>
                <LAYER_STACK v_margin="5" h_margin="10">
                    <GRID x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%"
                   subdiv_color="#333333" color="#777777" origin_color="#aaaaaa" x_positions_count="11" y_positions_count="11" x_param_info_id="x_curve.y_info" y_param_info_id="y_curve.y_info" id="xy_grid"/>
                    <CUS_XY_CURVES_GRAPH x_curve_id="x_curve" y_curve_id="y_curve" color="$xy_color1$" id="xy_graph"/>
                    <CUS_XY_CURVES_GRAPH x_curve_id="x_curve2" y_curve_id="y_curve2" color="$xy_color2$" id="xy_graph2"/>
                    <!-- zoom scratch pad -->
                    <XYZ_PARAM_SCRATCH_PAD height="100%" width="100%" x_param_id="xy_graph_x_offset" y_param_id="xy_graph_y_offset" x_reverse="true" y_reverse="true" id="xy_scratchpad" cursor="system::open_hand" />
                    <!-- The controller that let you see the xY coordinates values -->
                    <XY_ZOOM_SELECT_PAD id="xy_coords" height="100%" width="100%" x_zoom_param_id="xy_graph_x_zoom" y_zoom_param_id="xy_graph_y_zoom" x_offset_param_id="xy_graph_x_offset" y_offset_param_id="xy_graph_y_offset" cursor="system::cross" color="#ffffff"/>
                    <ROW h_position="5" v_position="0">
                        <COLUMN v_align="top">
                            <IMAGE image="plus.bmp"/>
                            <CUS_V_SLIDER_SMALL param_id="xy_graph_y_zoom" reverse="true" positions_count="10">
                                <CUS_TOOLTIP param_id="xy_graph_y_zoom" content="{name}: {value}"/>
                            </CUS_V_SLIDER_SMALL>
                        </COLUMN>
                        <CUS_H_SLIDER_SMALL param_id="xy_graph_x_zoom" v_align="top" positions_count="10">
                            <CUS_TOOLTIP param_id="xy_graph_x_zoom" content="{name}: {value}"/>
                        </CUS_H_SLIDER_SMALL>
                    </ROW>
                </LAYER_STACK>
                <TEXT value="X"/>
            </TABLE_ROW>
            <TABLE_ROW>
                <CELL/>
                <CELL/>
                <RULER text_h_align="center" font_size="11" v_align="top" h_margin="10" height="13" width="310" value_format=".1" content="{value} {unit}" positions_count="11" orientation="horizontal" param_info_id="x_curve.y_info" id="xy_x_scale"/>
            </TABLE_ROW>
             <TABLE_ROW>
                <CELL/>
                <CELL/>
                <!-- Modes -->
                <ROW spacing="50" v_margin="4">
                    <CUS_BLACK_BOX layout_type="layer_stack" v_margin="1">
                        <PARAM_TEXT param_id="dsp.input1" width="100"/>
                        <CUS_INVISIBLE_BUTTON param_id="dsp.input1" width="100%" height="100%"/>
                    </CUS_BLACK_BOX>
                    <CUS_RESET_BUTTON param_id="shared.trigger">
                        <TOOLTIP text="Synchronize Instances"/>
                    </CUS_RESET_BUTTON>
                    <CUS_BLACK_BOX layout_type="layer_stack" v_margin="1">
                        <PARAM_TEXT param_id="model.flow_mode" width="100" content="{text_value} Mode"/>
                        <CUS_INVISIBLE_BUTTON param_id="model.flow_mode" width="100%" height="100%"/>
                    </CUS_BLACK_BOX>
                </ROW> 
            </TABLE_ROW>
        </TABLE>          
        <COLUMN spacing="8" v_align="top" v_margin="20">
            <COLUMN width="100%">
                <TPL_TITLE text="Mouse"/>
                <CUS_VBLACK_BOX layout_type="column" width="100%">
                    <ROW spacing="5">
                        <CUS_HAND_BUTTON param_id="mouse_drag">
                            <TOOLTIP text="Drag Mode" />
                        </CUS_HAND_BUTTON>
                        <CUS_CROSS_BUTTON param_id="mouse_measure">
                            <TOOLTIP text="Measure Mode" />
                        </CUS_CROSS_BUTTON>
                    </ROW>
                </CUS_VBLACK_BOX>
            </COLUMN>
            <COLUMN>
                <!-- Choose curves -->
                <TPL_TITLE text="Curves"/>
                <CUS_VBLACK_BOX layout_type="column" spacing="8">
                    <ROW spacing="4">
                        <TPL_CURVE_CHECK_BOX param_id="show_xy_graph" text_color="$xy_color1$" text="C1"/>
                        <COLUMN spacing="2">
                            <CUS_BLACK_BOX layout_type="layer_stack" v_margin="1">
                                <PARAM_TEXT param_id="x_curve_selection" width="90" content="X: {text_value}"/>
                                <CUS_INVISIBLE_MENU_BUTTON param_id="x_curve_selection" width="100%" height="100%"/>
                            </CUS_BLACK_BOX>
                            <CUS_BLACK_BOX layout_type="layer_stack" v_margin="1">
                                <PARAM_TEXT param_id="y_curve_selection" width="90" content="Y: {text_value}"/>
                                <CUS_INVISIBLE_MENU_BUTTON param_id="y_curve_selection" width="100%" height="100%"/>
                            </CUS_BLACK_BOX>
                        </COLUMN>
                    </ROW>
                    <ROW spacing="4">
                        <TPL_CURVE_CHECK_BOX param_id="show_xy_graph2" text_color="$xy_color2$" text="C2"/>
                        <COLUMN spacing="2">
                            <CUS_BLACK_BOX layout_type="layer_stack" v_margin="1">
                                <PARAM_TEXT param_id="x_curve_selection2" width="90" content="X: {text_value}"/>
                                <CUS_INVISIBLE_MENU_BUTTON param_id="x_curve_selection2" width="100%" height="100%"/>
                            </CUS_BLACK_BOX>
                            <CUS_BLACK_BOX layout_type="layer_stack" v_margin="1">
                                <PARAM_TEXT param_id="y_curve_selection2" width="90" content="Y: {text_value}"/>
                                <CUS_INVISIBLE_MENU_BUTTON param_id="y_curve_selection2" width="100%" height="100%"/>
                            </CUS_BLACK_BOX>
                        </COLUMN>
                    </ROW>
                </CUS_VBLACK_BOX>
            </COLUMN>
            <!-- Adjust parameters -->
            <COLUMN width="100%">
                <TPL_TITLE text="Display"/>
                <CUS_VBLACK_BOX layout_type="column" width="100%">
                    <ROW spacing="4">
                        <CUS_CHECK_BOX param_id="xy_graph.graph_style">
                        </CUS_CHECK_BOX>
                        <TEXT value="Connect Points">
                            <CUS_INVISIBLE_BUTTON param_id="xy_graph_style" />
                        </TEXT>
                    </ROW>
                    <IMAGE_PARAM_SLIDER param_id="xy_time" layout_type="row" text_color="#cccccc" image="h_slide.bmp" positions_count="100" orientation="horizontal" cursor="system::hand">
                        <PARAM_TEXT param_id="xy_time" content="{name}: " />
                        <PARAM_TEXT param_id="xy_time" content="{value}{unit}" value_format=".0"/>
                    </IMAGE_PARAM_SLIDER>
                    <IMAGE_PARAM_SLIDER param_id="xy_density" layout_type="row" text_color="#cccccc" image="h_slide.bmp" positions_count="201" orientation="horizontal" cursor="system::hand">
                        <PARAM_TEXT param_id="xy_density" content="{name}: " />
                        <PARAM_TEXT param_id="xy_density" content="{value}{unit}" value_format=".0"/>
                    </IMAGE_PARAM_SLIDER>
                </CUS_VBLACK_BOX>
            </COLUMN>
        </COLUMN>
    </ROW>
    <!-- curve visibility: combination of connection state & requested visibility-->
    <PARAM id="show_xy_graph" type="boolean" persistent="true" default="1"/>
    <PARAM id="show_xy_graph2" type="boolean" persistent="true" default="1"/>

    <PARAM_MULTI_LINK from="x_curve_visible;y_curve_visible;show_xy_graph" to="xy_graph.visible" mux_function="min"/>
    <PARAM_MULTI_LINK from="x_curve_visible2;y_curve_visible2;show_xy_graph2" to="xy_graph2.visible" mux_function="min"/>

    <!-- Links & UI params-->
    <PARAM id="xy_graph_style" min="0" max="1" default="0" persistent="true" name="Connect Points"/>
    <PARAM_MULTI_LINK from="xy_graph_style" to="xy_graph.graph_style;xy_graph2.graph_style"/>

    <PARAM id="xy_density" min="0" max="200" default="100" unit="%" persistent="true" name="Density"/>
    <PARAM_LINK from="xy_density" to="abs_density" normalized="true"/>
    <PARAM id="abs_density" min="200" max="2800" default="1500"/>
    <PARAM_MULTI_LINK from="abs_density" to="xy_graph.positions_count;xy_graph2.positions_count"/>

    <PARAM id="xy_time" min="0" max="100" default="30" name="Time" unit="%" persistent="true"/>
    <PARAM_MULTI_LINK from="xy_time" normalized="true" reverse="true" response_curve="exp2" to="xy_graph.x_curve.x_zoom;xy_graph.y_curve.x_zoom;xy_graph2.x_curve.x_zoom;xy_graph2.y_curve.x_zoom"/>
    <PARAM id="xy_graph_x_zoom" min="1" max="10" default="1" name="x zoom" persistent="true"/>
    <PARAM_MULTI_LINK from="xy_graph_x_zoom" to="xy_graph.x_curve.y_zoom;xy_graph2.x_curve.y_zoom;xy_grid.x_zoom;xy_x_scale.zoom;xy_coords.x_zoom"/>
    <PARAM id="xy_graph_y_zoom" min="1" max="10" default="1" name="y zoom" persistent="true"/>
    <PARAM_MULTI_LINK from="xy_graph_y_zoom" to="xy_graph.y_curve.y_zoom;xy_graph2.y_curve.y_zoom;xy_grid.y_zoom;xy_y_scale.zoom;xy_coords.y_zoom"/>
    <PARAM id="xy_graph_x_offset" min="0" max="1" default=".5" name="X offset" persistent="true" />
    <PARAM id="xy_graph_y_offset" min="0" max="1" default=".5" name="Y offset" persistent="true" />
    <PARAM_MULTI_LINK from="xy_graph_x_offset" to="xy_graph.x_curve.y_offset;xy_graph2.x_curve.y_offset;xy_grid.x_offset;xy_x_scale.offset;xy_coords.x_offset"/>
    <PARAM_MULTI_LINK from="xy_graph_y_offset" to="xy_graph.y_curve.y_offset;xy_graph2.y_curve.y_offset;xy_grid.y_offset;xy_y_scale.offset;xy_coords.y_offset"/>

    <!-- Zoom parameters and links -->
    <PARAM_LINK from="xy_grid.x_extra_pixels" to="xy_scratchpad.x_pixel_range" />
    <PARAM_LINK from="xy_grid.y_extra_pixels" to="xy_scratchpad.y_pixel_range" />

    <!-- mouse mode -->
    <PARAM_LINK from="mouse_measure" to="xy_coords.visible" />

</DUMMY>
